V7.0

get

/ec-designer-svc/rest/v7.0/studies/{studyId}/versions/{version}/kits/{kitId}/blindedInfo

Retrieves one kit definition from the specified study version. The kitId path parameter identifies the kit, and the response includes kit settings, unit settings, dosing details, titration settings, advanced dosing groups, and validation details when present.

Request

Path Parameters
Query Parameters
  • Kit type filter. Optional. Accepted values include STANDARD, TITRATION, ALL, and DEVICE.
    Example:
    ALL
  • Study mode used for blinded output filtering. Optional.
    Default Value: test
    Example:
    test

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : KitDto v9.0
Type: object
Title: KitDto v9.0
Kit details.
Show Source
Nested Schema : advancedDosingGroups
Type: array
Show Source
Nested Schema : dosings
Type: array
Show Source
Nested Schema : exceptions
Type: array
Show Source
Nested Schema : KitSettingsDto v8.0
Type: object
Title: KitSettingsDto v8.0
Contains settings information on the kit.
Show Source
Nested Schema : kitTitrations
Type: array
Show Source
Nested Schema : KitUnitSettingsDto v8.0
Type: object
Title: KitUnitSettingsDto v8.0
Contains unit settings information on the kit.
Show Source
Nested Schema : Advanced Dosing Group v1.0
Type: object
Title: Advanced Dosing Group v1.0
Advanced Dosing Group details
Show Source
Nested Schema : Group criteria
Type: array
Group criteria
Show Source
Nested Schema : Kit settings
Type: array
Kit settings
Show Source
Nested Schema : Advanced Dosing Group Criteria v1.0
Type: object
Title: Advanced Dosing Group Criteria v1.0
Advanced Dosing Group Criteria details
Show Source
Nested Schema : Answer
Type: array
Answer for choice question name
Show Source
Example:
Female
Nested Schema : Advanced Dosing Rule v1.0
Type: object
Title: Advanced Dosing Rule v1.0
Advanced Dosing rule details
Show Source
Nested Schema : Generic Attribute v1.0
Type: object
Title: Generic Attribute v1.0
Generic attribute name, value and label details
Show Source
Example:
Female
Nested Schema : RangeRuleValues
Type: object
Range rule upper boundary details
Show Source
Nested Schema : Advanced Dosing Kit Settings v1.0
Type: object
Title: Advanced Dosing Kit Settings v1.0
Advanced Dosing Kit Settings details
Show Source
Nested Schema : dosings
Type: array
Calculated dosing definitions for the kit
Show Source
Nested Schema : KitUnitSettingsDto v10.0
Type: object
Title: KitUnitSettingsDto v10.0
Contains unit settings information on the kit.
Show Source
Nested Schema : KitDosingDto v10.0
Type: object
Title: KitDosingDto v10.0
Information on a calculated dose.
Show Source
Nested Schema : KitDosingDoseDto v10.0
Type: object
Title: KitDosingDoseDto v10.0
Dose information on the calculated dose.
Show Source
Nested Schema : KitDosingMeasurementDto v10.0
Type: object
Title: KitDosingMeasurementDto v10.0
Kit and subject measurement information on a calculated dose.
Show Source
Nested Schema : KitDosingQuestionDto v10.0
Type: object
Title: KitDosingQuestionDto v10.0
Form and question information on the calculated dose.
Show Source
Nested Schema : KitDosingVisitDto v10.0
Type: object
Title: KitDosingVisitDto v10.0
Visit information on the calculated dose.
Show Source
Nested Schema : KitDosingValueUnitsDto v10.0
Type: object
Title: KitDosingValueUnitsDto v10.0
Describes the value/unit pair of the measurement on the calculated dose.
Show Source
Nested Schema : KitDosingDto v8.0
Type: object
Title: KitDosingDto v8.0
Information on a calculated dose.
Show Source
Nested Schema : KitDosingDoseDto v8.0
Type: object
Title: KitDosingDoseDto v8.0
Dose information on the calculated dose.
Show Source
Nested Schema : KitDosingMeasurementDto v8.0
Type: object
Title: KitDosingMeasurementDto v8.0
Kit and subject measurement information on a calculated dose.
Show Source
Nested Schema : KitDosingQuestionDto v8.0
Type: object
Title: KitDosingQuestionDto v8.0
Form and question information on the calculated dose.
Show Source
Nested Schema : KitDosingVisitDto v8.0
Type: object
Title: KitDosingVisitDto v8.0
Visit information on the calculated dose.
Show Source
Nested Schema : KitDosingValueUnitsDto v8.0
Type: object
Title: KitDosingValueUnitsDto v8.0
Describes the value/unit pair of the measurement on the calculated dose.
Show Source
Nested Schema : KitTitrationsDto v8.0
Type: object
Title: KitTitrationsDto v8.0
Contains titrations information on the titration kit.
Show Source
Nested Schema : TitrationKitItemsDto v8.0
Type: object
Title: TitrationKitItemsDto v8.0
Titration Kit Items
Show Source
Nested Schema : titrationKitItems
Type: array
Show Source
Nested Schema : TitrationKitItemDto v8.0
Type: object
Title: TitrationKitItemDto v8.0
Titration Kit Item
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top